c=======================================================================
c     Generates test data for scatter plot.
c=======================================================================
      program       gen_scatter

      implicit      none

      real*8        drand48
      integer       iargc, i4arg
      integer       maxnx, ix, nx, it, nt

      if( iargc() .ne. 2 ) go to 900
      nx = i4arg(1,-1)
      nt = i4arg(2,-1)
      if( nx .lt. 1  .or.  nt .lt. 1 ) go to 900
      do it = 1 , nt
         do ix = 1 , nx
            if( drand48() .gt. 0.5d0 ) then
               write(*,*) it, ix
            end if
         end do
      end do

      stop

900   continue
         write(0,*) 'usage: gen-scatter <nx> <nt>'
      stop

      end
